/*
 * Tools for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.applet;



/**
 * Interface used to accept expression editing notifications from
 * {@link pl.chyla.wyjec.applet.EvaluatorGUI} instance.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
interface IExpressionEditListener {

    /**
     * Called when an expression has been changed by the user.
     *
     * @param expression current value of expression string as entered by the user
     */
    void changed(String expression);

    /**
     * Called when an expression has been accepted by the user.
     *
     * @param expression value of expression string accepted by the user
     */
    void accepted(String expression);

}
