/*
 * Tools for Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
package pl.chyla.wyjec.funcinfoxml;


/**
 * Exception thrown in case of problem during processing "FunctionsDocument" XML document.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public class FunctionsDocumentProcessingException extends RuntimeException {

    /**
     * Constructs <code>FunctionsDocumentProcessingException</code> instance with given error
     * message.
     *
     * @param message message describing the error
     */
    public FunctionsDocumentProcessingException(String message) {
        super(message);
    }

    /**
     * Constructs <code>FunctionsDocumentProcessingException</code> instance that describes
     * exception thrown during reading or parsing "FunctionsDocument" XML document.
     *
     * @param cause exception thrown during processing the XML document
     */
    public FunctionsDocumentProcessingException(Throwable cause) {
        super(cause);
    }

}
